MONGOC_COLLECTION_DROP(3)

NAME
mongoc_collection_drop() - This function requests that a collection be dropped, including all indexes associated with the collection.

SYNOPSIS

bool
mongoc_collection_drop (mongoc_collection_t *collection,
                        bson_error_t        *error);

PARAMETERS

collection
    A mongoc_collection_t \&.

error
    An optional location for a bson_error_t or NULL \&.

DESCRIPTION

This function requests that a collection be dropped, including all indexes associated with the collection \&.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if the collection was successfully dropped. Otherwise false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.